Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Groups
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
        PUT
      • Get Customer Groups
        POST
      • Update Customer Group
        PATCH
      • Delete Customer Group
        DELETE
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages Management
    • Get All Accounts Campaigns
      POST
    • Publish Messages to Secure Storage
      POST
    • Get Campaign Messages Pages
      POST
    • Retrieve Published Messages
      POST
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Groups

Create Customer Group

PUT
https://client-api.nudgescribe.com/v1/cg
ContentCustomer GroupsCreateCustomer GroupPut
Creates a new customer group within your workspace, enabling you to organize customers into logical segments for targeted campaigns, analytics, and data management.
Allows your application to programmatically create customer segments that can be used to organize customers based on business criteria, demographics, behavior, or any other segmentation strategy.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://client-api.nudgescribe.com/v1/cg' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "workspace_id": "your-workspace-id",
  "group_name": "VIP Customers"
}'
Response Response Example
200 - Example 1
{
    "customer_group_id": "string",
    "account_id": "string",
    "workspace_id": "string",
    "group_name": "string",
    "created_by": "string",
    "created_at": "string",
    "updated_at": "string"
}
Modified at 2026-01-29 13:09:11
Previous
Customer Groups
Next
Get Customer Groups
Built with